########################################
#####
##### Marvel 2 Application properties for tests
#####
########################################

##########
# Logging levels to make test output less verbose
#
# Spring
spring.main.banner-mode=OFF
logging.level.root=OFF
logging.level.org.springframework=OFF
logging.level.org.springframework.web=INFO
#TODO: Uncomment this to enable logging of all requests
logging.level.org.springframework.web.filter.CommonsRequestLoggingFilter=ERROR
#
# Flyway
logging.level.org.flywaydb=ERROR
#
# Hibernate
# use the following to debug SQL issues
#spring.jpa.properties.hibernate.generate_statistics=true
#logging.level.org.hibernate.engine.internal.StatisticalLoggingSessionEventListener=TRACE
logging.level.org.hibernate.SQL=ERROR
logging.level.org.hibernate=ERROR
#logging.level.org.hibernate.SQL=TRACE
#logging.level.org.hibernate=TRACE
#logging.level.org.hibernate.type.descriptor.sql.BasicBinder=TRACE
#
## ElasticSearch client logging
#logging.level.org.springframework.data.elasticsearch.client.WIRE=TRACE
#
# Zoox
logging.level.com.zoox=DEBUG
#logging.level.com.zoox=TRACE
logging.level.com.zoox.marvel.api.rest.handler=ERROR


spring.jpa.properties.hibernate.dialect = com.zoox.marvel.util.CustomH2Dialect

